package com.zjrs.zwnw.portal.bpo;

import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.zwnw.portal.dto.CommonDTO;
import com.zjrs.zwnw.portal.dto.LdUserDTO;
import com.zjrs.zwnw.portal.dto.common.CommonDictDTO;
import org.springframework.validation.BindingResult;

import java.util.List;
import java.util.Map;

public interface CommonBPO {
    //查询字典
    public Map<String, Object> getDicts(CommonDictDTO dto);

    public Map<String, Object> getNums();

    public List<Object> getOrgTree(CommonDTO dto);

    public Map<String, String> checkLDUser();

    public Map<String, String> bindLDUser(LdUserDTO dto);

    public void unbindLDUser();
    //验证请求入参
    public AjaxResponse checkRequestParameter(BindingResult bindingResult);
}
